<!DOCTYPE html>
<html lang="en">

<head>
    <title>Task 58.20</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <!-- Import Datatable sau jquery -->
    <!-- Import them style bootstrap cho datatable -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>

<body>
    <div class="container">
        <h2 style="text-align: center;">Danh sách đồ uống</h2>
        <table id="drink-table" class="table table-bordered table-striped table-hover">
            <thead>
                <tr>
                    <th>STT</th>
                    <th>Mã nước uống</th>
                    <th>Tên nước uống</th>
                    <th>Đơn giá</th>
                    <th>Ngày tạo</th>
                    <th>Ngày cập nhật</th>
                </tr>
        </table>
    </div>
</body>

<script>
    $(document).ready(function () {
        var table = $("#drink-table").DataTable({
            "columns": [
                { "data": "id" },
                { "data": "maNuocUong" },
                { "data": "tenNuocUong" },
                { "data": "price" },
                { "data": "ngayTao" },
                { "data": "ngayCapNhat" }
            ]
        });

        $.ajax({
            url: "http://localhost:8080/drinks",
            type: "GET",
            dataType: 'json',
            success: function (responseObject) {
                console.log(responseObject);
                //Xóa toàn bộ dữ liệu đang có của bảng
                table.clear();

                //Cập nhật data cho bảng 
                table.rows.add(responseObject);

                //Cập nhật lại giao diện hiển thị bảng
                table.draw();
            },
            error: function (error) {
                console.log(error.responseText);
            }
        });
    });
</script>

</html>